<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Donation extends Model
{
    protected $primaryKey = 'D_id';

    protected $fillable = [
        'D_name', 'D_des', 'goal_amount', 'mini_amount',
        'Start_date', 'End_date', 'Pop_up', 'status', 'U_ID'
    ];

    // Relationship (optional)
    public function user()
    {
        return $this->belongsTo(UserMaster::class, 'U_ID', 'U_Id');
    }
}
