-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: May 21, 2025 at 02:16 PM
-- Server version: 10.4.32-MariaDB
-- PHP Version: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `newproject`
--

-- --------------------------------------------------------

--
-- Table structure for table `additional_people`
--

CREATE TABLE `additional_people` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `BE_Id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `mobile` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `additional_people`
--

INSERT INTO `additional_people` (`id`, `BE_Id`, `name`, `email`, `mobile`, `created_at`, `updated_at`) VALUES
(1, 2, 'Jane Smith', 'jane@example.com', '9123456780', '2025-04-19 14:40:11', '2025-04-19 14:40:11'),
(2, 2, 'Mike Brown', 'mike@example.com', '9988776655', '2025-04-19 14:40:11', '2025-04-19 14:40:11'),
(3, 3, 'Jane Smith', 'jane@example.com', '9123456780', '2025-04-19 14:41:22', '2025-04-19 14:41:22'),
(4, 3, 'Mike Brown', 'mike@example.com', '9988776655', '2025-04-19 14:41:22', '2025-04-19 14:41:22'),
(5, 4, 'Jane Smith', 'jane@example.com', '9123456780', '2025-04-21 06:55:19', '2025-04-21 06:55:19'),
(6, 4, 'Mike Brown', 'mike@example.com', '9988776655', '2025-04-21 06:55:19', '2025-04-21 06:55:19');

-- --------------------------------------------------------

--
-- Table structure for table `book_events`
--

CREATE TABLE `book_events` (
  `BE_Id` bigint(20) UNSIGNED NOT NULL,
  `BE_Name` varchar(255) NOT NULL,
  `BE_Email` varchar(255) NOT NULL,
  `BE_Mobile` varchar(255) NOT NULL,
  `E_Id` bigint(20) UNSIGNED NOT NULL,
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `BE_Code` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `book_events`
--

INSERT INTO `book_events` (`BE_Id`, `BE_Name`, `BE_Email`, `BE_Mobile`, `E_Id`, `U_Id`, `BE_Code`, `created_at`, `updated_at`) VALUES
(1, 'Mayur', 'mayur@gmail.com', '5457845698', 1, 3, 'F2498K', '2025-04-19 14:36:55', '2025-04-19 15:13:03'),
(2, 'rajesh', 'rajesh@gmail.com', '1248774584', 1, 3, 'AZHRVE', '2025-04-19 14:40:11', '2025-04-19 14:40:11'),
(3, 'rajesh', 'rajesh@gmail.com', '1248774584', 1, 3, 'VG56SD', '2025-04-19 14:41:22', '2025-04-19 14:41:22'),
(4, 'rajesh', 'rajesh@gmail.com', '1248774584', 7, 3, '43DB9I', '2025-04-21 06:55:19', '2025-04-21 06:55:19');

-- --------------------------------------------------------

--
-- Table structure for table `cache`
--

CREATE TABLE `cache` (
  `key` varchar(255) NOT NULL,
  `value` mediumtext NOT NULL,
  `expiration` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `cache_locks`
--

CREATE TABLE `cache_locks` (
  `key` varchar(255) NOT NULL,
  `owner` varchar(255) NOT NULL,
  `expiration` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE `categories` (
  `Cat_id` bigint(20) UNSIGNED NOT NULL,
  `Cat_Name` varchar(255) NOT NULL,
  `Cat_Des` text DEFAULT NULL,
  `U_ID` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`Cat_id`, `Cat_Name`, `Cat_Des`, `U_ID`, `created_at`, `updated_at`) VALUES
(1, 'Whiskers', 'cdscdscdsc', 2, '2025-05-20 11:43:25', '2025-05-20 11:49:50'),
(3, 'fdsfdsfdsf', 'cdscdscdsc', 1, '2025-05-20 12:32:49', '2025-05-20 12:32:49'),
(4, 'fdsfdsfdsf', 'cdscdscdsc', 1, '2025-05-20 12:33:09', '2025-05-20 12:33:09');

-- --------------------------------------------------------

--
-- Table structure for table `celebration`
--

CREATE TABLE `celebration` (
  `N_Id` bigint(20) UNSIGNED NOT NULL,
  `N_Title` varchar(255) NOT NULL,
  `N_Category` varchar(255) DEFAULT NULL,
  `N_MaleName` varchar(255) DEFAULT NULL,
  `N_WomanName` varchar(255) DEFAULT NULL,
  `N_Date` date DEFAULT NULL,
  `N_Age` int(11) DEFAULT NULL,
  `N_Years` int(11) DEFAULT NULL,
  `N_Mobile` varchar(255) DEFAULT NULL,
  `N_Email` varchar(255) DEFAULT NULL,
  `N_Address` text DEFAULT NULL,
  `N_Description` text DEFAULT NULL,
  `N_Image` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL CHECK (json_valid(`N_Image`)),
  `N_Status` enum('pending','approved','rejected') NOT NULL DEFAULT 'pending',
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `celebration`
--

INSERT INTO `celebration` (`N_Id`, `N_Title`, `N_Category`, `N_MaleName`, `N_WomanName`, `N_Date`, `N_Age`, `N_Years`, `N_Mobile`, `N_Email`, `N_Address`, `N_Description`, `N_Image`, `N_Status`, `U_Id`, `created_at`, `updated_at`) VALUES
(2, 'Birthday Event', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '\"null\"', 'approved', 2, '2025-04-19 05:29:54', '2025-04-19 05:29:54'),
(3, 'Birthday Event', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '\"null\"', 'pending', 3, '2025-04-19 05:39:05', '2025-04-19 05:39:05'),
(4, 'Birthday Event', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '\"null\"', 'approved', 4, '2025-04-19 05:39:12', '2025-04-19 05:39:12'),
(5, 'Birthday Event', 'Birthday', 'Ram', 'priya', '2025-04-19', 25, 25, '1278459565', 'ram@gmail.com', '123,vivkarma colony,Ahemdabad', 'ram Birthday celebration', '\"null\"', 'approved', 3, '2025-04-19 05:39:22', '2025-04-19 05:39:39'),
(6, 'New Year Party', 'Birthday', 'Ram', 'priya', '2025-04-19', 25, 25, NULL, NULL, NULL, NULL, '[\"http:\\/\\/127.0.0.1:8000\\/celebration\\/1745041875_fashion.png\",\"http:\\/\\/127.0.0.1:8000\\/celebration\\/1745041875_social.png\"]', 'approved', 3, '2025-04-19 05:51:15', '2025-04-23 08:53:05'),
(7, 'Birthday Event', 'Birthday', 'Ram', 'priya', '2025-04-19', 25, 25, '1278459565', 'ram@gmail.com', '123,vivkarma colony,Ahemdabad', 'ram Birthday celebration', '\"[\\\"http:\\/\\/127.0.0.1:8000\\/celebration\\/1745043343_68033f8f5eee3.png\\\"]\"', 'rejected', 3, '2025-04-19 06:06:02', '2025-04-19 06:15:43');

-- --------------------------------------------------------

--
-- Table structure for table `com_packages`
--

CREATE TABLE `com_packages` (
  `Com_P_Id` bigint(20) UNSIGNED NOT NULL,
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `St_Date` date NOT NULL,
  `End_Date` date NOT NULL,
  `U_Name` varchar(255) NOT NULL,
  `PackageId` varchar(255) NOT NULL,
  `PackageName` varchar(255) NOT NULL,
  `Package_Description` varchar(255) DEFAULT NULL,
  `Package_Status` varchar(255) NOT NULL,
  `Package_MaxUsers` varchar(255) NOT NULL,
  `DT_Id` varchar(255) NOT NULL,
  `D_Id` varchar(255) NOT NULL,
  `Dis_Merge` varchar(255) NOT NULL,
  `PVT_Id` varchar(255) NOT NULL,
  `Final_Price` varchar(255) NOT NULL,
  `Total_Duration` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `com_packages`
--

INSERT INTO `com_packages` (`Com_P_Id`, `U_Id`, `St_Date`, `End_Date`, `U_Name`, `PackageId`, `PackageName`, `Package_Description`, `Package_Status`, `Package_MaxUsers`, `DT_Id`, `D_Id`, `Dis_Merge`, `PVT_Id`, `Final_Price`, `Total_Duration`, `created_at`, `updated_at`) VALUES
(1, 20, '2025-04-17', '2025-04-18', 'keshav', '6', 'Primum package 1', NULL, 'A', '100', '1', '6', '1', '1', '400.00', '1', '2025-04-17 12:37:42', '2025-04-17 12:37:42'),
(2, 20, '2025-04-17', '2025-05-17', 'keshav', '7', 'Primum package', NULL, 'A', '100', '2', '6', '1', '1', '400.00', '30', '2025-04-17 12:40:18', '2025-04-17 12:40:18'),
(3, 21, '2025-04-17', '2029-05-26', 'keshav', '1', 'Basic package', NULL, 'A', '100', '2', '6', '1', '1', '400.00', '1500', '2025-04-17 16:52:03', '2025-04-17 16:52:03'),
(4, 20, '2025-04-18', '2025-04-19', 'John Doe 1', '2', 'ABCDEF', NULL, 'A', '100', '1', '6', '1', '1', '0.00', '1', '2025-04-17 18:39:41', '2025-04-17 18:39:41'),
(5, 27, '2025-04-21', '2075-04-09', 'keshav', '1', 'Basic package 1', 'This package is a applay for all users 1', 'A', '50', '4', '0', '3', '1', '377.00', '18250', '2025-04-21 06:32:26', '2025-04-21 06:32:26'),
(6, 28, '2025-04-21', '2075-04-09', 'keshav', '1', 'Basic package 1', 'This package is a applay for all users 1', 'A', '50', '4', '0', '3', '1', '377.00', '18250', '2025-04-21 06:59:04', '2025-04-21 06:59:04'),
(7, 32, '2025-04-21', '2025-07-20', 'keshav', '7', 'Gold Package', 'This package is Gold Package', 'A', '600', '2', '[7,1]', '1', '1', '388.00', '90', '2025-04-21 07:49:36', '2025-04-21 07:49:36'),
(8, 33, '2025-04-21', '2025-07-20', 'keshav', '7', 'Gold Package', 'This package is Gold Package', 'A', '600', '2', '[7,1]', '1', '1', '388.00', '90', '2025-04-21 08:50:59', '2025-04-21 08:50:59'),
(9, 34, '2025-04-21', '2025-07-20', 'keshav', '12', 'Gold Package', 'This package is Gold Package', 'A', '600', '2', '[7,1]', '1', '1', '500.00', '90', '2025-04-21 08:57:30', '2025-04-21 08:57:30'),
(10, 35, '2025-04-21', '2025-07-20', 'keshav', '12', 'Gold Package', 'This package is Gold Package', 'A', '600', '2', '[7,1]', '1', '1', '500.00', '90', '2025-04-21 09:21:38', '2025-04-21 09:21:38');

-- --------------------------------------------------------

--
-- Table structure for table `condolences`
--

CREATE TABLE `condolences` (
  `N_Id` bigint(20) UNSIGNED NOT NULL,
  `N_Title` varchar(255) NOT NULL,
  `N_Category` varchar(255) DEFAULT NULL,
  `N_MaleName` varchar(255) DEFAULT NULL,
  `N_WomanName` varchar(255) DEFAULT NULL,
  `N_Date` date DEFAULT NULL,
  `N_Age` int(11) DEFAULT NULL,
  `N_Years` int(11) DEFAULT NULL,
  `N_Mobile` varchar(255) DEFAULT NULL,
  `N_Email` varchar(255) DEFAULT NULL,
  `N_Address` text DEFAULT NULL,
  `N_Description` text DEFAULT NULL,
  `N_Image` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL CHECK (json_valid(`N_Image`)),
  `N_Status` enum('pending','approved','rejected') NOT NULL DEFAULT 'pending',
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `condolences`
--

INSERT INTO `condolences` (`N_Id`, `N_Title`, `N_Category`, `N_MaleName`, `N_WomanName`, `N_Date`, `N_Age`, `N_Years`, `N_Mobile`, `N_Email`, `N_Address`, `N_Description`, `N_Image`, `N_Status`, `U_Id`, `created_at`, `updated_at`) VALUES
(1, 'xyz', 'xyz', NULL, NULL, NULL, NULL, NULL, NULL, 'abc', NULL, NULL, '\"[\\\"http:\\/\\/127.0.0.1:8000\\/condolences\\/1745044593_68034471cbd5e.png\\\"]\"', 'approved', 3, '2025-04-19 06:31:38', '2025-04-19 06:37:49'),
(3, 'abc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[\"http:\\/\\/127.0.0.1:8000\\/condolences\\/1745044988_fashion.png\"]', 'pending', 3, '2025-04-19 06:43:08', '2025-04-19 06:43:08'),
(4, 'abc', 'xyz', NULL, NULL, NULL, NULL, NULL, NULL, 'abc', NULL, NULL, '[\"http:\\/\\/127.0.0.1:8000\\/condolences\\/1745044991_fashion.png\"]', 'rejected', 2, '2025-04-19 06:43:11', '2025-04-19 06:44:30');

-- --------------------------------------------------------

--
-- Table structure for table `discount_masters`
--

CREATE TABLE `discount_masters` (
  `D_Id` bigint(20) UNSIGNED NOT NULL,
  `D_Name` varchar(255) NOT NULL,
  `St_Date` date NOT NULL,
  `En_Date` date NOT NULL,
  `DT_Id` bigint(20) UNSIGNED NOT NULL,
  `DVT_Id` bigint(20) UNSIGNED NOT NULL,
  `Dic_Value` varchar(255) NOT NULL,
  `quentity` int(11) DEFAULT NULL,
  `Dis_Status` enum('A','I') NOT NULL DEFAULT 'A',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `discount_masters`
--

INSERT INTO `discount_masters` (`D_Id`, `D_Name`, `St_Date`, `En_Date`, `DT_Id`, `DVT_Id`, `Dic_Value`, `quentity`, `Dis_Status`, `created_at`, `updated_at`) VALUES
(1, 'Membership Discount', '2025-04-16', '2025-04-30', 1, 1, '100', NULL, 'A', '2025-04-22 11:35:14', '2025-04-22 11:36:53'),
(2, 'Clearance Sale', '2025-04-16', '2025-04-30', 1, 2, '20', NULL, 'A', '2025-04-22 11:38:24', '2025-04-22 11:38:24'),
(3, 'Referral Discount', '2025-04-16', '2025-04-30', 1, 2, '5', NULL, 'A', '2025-04-22 11:38:47', '2025-04-22 11:38:47'),
(4, 'Festival Discount', '2025-04-16', '2025-04-30', 1, 1, '200', NULL, 'A', '2025-04-22 11:39:15', '2025-04-22 11:39:15');

-- --------------------------------------------------------

--
-- Table structure for table `discount_types`
--

CREATE TABLE `discount_types` (
  `DT_Id` bigint(20) UNSIGNED NOT NULL,
  `Type_Name` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `discount_types`
--

INSERT INTO `discount_types` (`DT_Id`, `Type_Name`, `created_at`, `updated_at`) VALUES
(1, 'Quantity', '2025-04-15 02:04:46', '2025-04-18 05:00:08'),
(2, 'Amount', '2025-04-15 02:04:53', '2025-04-15 02:04:53');

-- --------------------------------------------------------

--
-- Table structure for table `dis_val_types`
--

CREATE TABLE `dis_val_types` (
  `DVT_Id` bigint(20) UNSIGNED NOT NULL,
  `VT_Name` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `dis_val_types`
--

INSERT INTO `dis_val_types` (`DVT_Id`, `VT_Name`, `created_at`, `updated_at`) VALUES
(1, 'Flat Discount', '2025-04-14 11:35:24', '2025-04-15 03:20:28'),
(2, 'Percentage Discount', '2025-04-14 11:35:31', '2025-04-15 06:34:16');

-- --------------------------------------------------------

--
-- Table structure for table `donates`
--

CREATE TABLE `donates` (
  `Do_id` bigint(20) UNSIGNED NOT NULL,
  `D_amount` decimal(10,2) NOT NULL,
  `U_ID` bigint(20) UNSIGNED NOT NULL,
  `D_id` bigint(20) UNSIGNED NOT NULL,
  `Date` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `donates`
--

INSERT INTO `donates` (`Do_id`, `D_amount`, `U_ID`, `D_id`, `Date`, `created_at`, `updated_at`) VALUES
(1, 23.00, 1, 1, '2025-05-20', '2025-05-20 12:34:36', '2025-05-20 12:34:36');

-- --------------------------------------------------------

--
-- Table structure for table `donations`
--

CREATE TABLE `donations` (
  `D_id` bigint(20) UNSIGNED NOT NULL,
  `D_name` varchar(255) NOT NULL,
  `D_des` text DEFAULT NULL,
  `goal_amount` decimal(10,2) NOT NULL,
  `mini_amount` decimal(10,2) NOT NULL DEFAULT 5.00,
  `Start_date` date NOT NULL,
  `End_date` date NOT NULL,
  `Pop_up` enum('Y','N') NOT NULL DEFAULT 'N',
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `U_ID` bigint(20) UNSIGNED NOT NULL,
  `Cat_id` bigint(20) UNSIGNED DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `donations`
--

INSERT INTO `donations` (`D_id`, `D_name`, `D_des`, `goal_amount`, `mini_amount`, `Start_date`, `End_date`, `Pop_up`, `status`, `U_ID`, `Cat_id`, `created_at`, `updated_at`) VALUES
(1, 'KUNAL Water Initiative', 'NOT PENDING clean drinking water to rural areas.', 1222.00, 20.00, '2025-06-01', '2025-12-31', 'Y', 1, 1, NULL, '2025-05-20 12:09:32', '2025-05-20 12:14:42'),
(2, 'Clean Water Initiative', 'Providing clean drinking water to rural areas.', 50000.00, 10.00, '2025-06-01', '2025-12-31', 'N', 0, 1, NULL, '2025-05-20 12:09:41', '2025-05-20 12:09:41'),
(3, 'Clean Water Initiative', 'Providing clean drinking water to rural areas.', 50000.00, 10.00, '2025-06-01', '2025-12-31', 'N', 0, 1, NULL, '2025-05-20 12:09:42', '2025-05-20 12:09:42'),
(4, 'Clean Water Initiative', 'Providing clean drinking water to rural areas.', 50000.00, 10.00, '2025-06-01', '2025-12-31', 'N', 0, 1, NULL, '2025-05-20 12:09:53', '2025-05-20 12:09:53'),
(5, 'Clean Water Initiative', 'Providing clean drinking water to rural areas.', 50000.00, 1.00, '2025-06-01', '2025-12-31', 'N', 0, 1, NULL, '2025-05-20 12:31:56', '2025-05-20 12:31:56'),
(6, 'Clean Water Initiative', 'Providing clean drinking water to rural areas.', 50000.00, 1.00, '2025-06-01', '2025-12-31', 'N', 0, 1, NULL, '2025-05-20 12:33:16', '2025-05-20 12:33:16'),
(7, 'Clean Water Initiative', 'Providing clean drinking water to rural areas.', 50000.00, 1.00, '2025-06-01', '2025-12-31', 'N', 0, 1, 1, '2025-05-20 13:08:51', '2025-05-20 13:08:51');

-- --------------------------------------------------------

--
-- Table structure for table `duration_types`
--

CREATE TABLE `duration_types` (
  `DT_Id` bigint(20) UNSIGNED NOT NULL,
  `Dur_Type` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `duration_types`
--

INSERT INTO `duration_types` (`DT_Id`, `Dur_Type`, `created_at`, `updated_at`) VALUES
(1, 'Day', '2025-04-22 11:47:08', '2025-04-22 11:47:08'),
(2, 'Month', '2025-04-22 11:47:15', '2025-04-22 11:47:15'),
(3, 'Year', '2025-04-22 11:47:20', '2025-04-22 11:47:20');

-- --------------------------------------------------------

--
-- Table structure for table `events`
--

CREATE TABLE `events` (
  `E_Id` bigint(20) UNSIGNED NOT NULL,
  `E_Name` varchar(255) NOT NULL,
  `E_Creater_Name` varchar(255) NOT NULL,
  `E_Creater_Mobile` varchar(255) NOT NULL,
  `U_Id` bigint(20) UNSIGNED DEFAULT NULL,
  `Mam_Id` bigint(20) UNSIGNED DEFAULT NULL,
  `E_StartDate` date NOT NULL,
  `E_EndDate` date NOT NULL,
  `E_StartTime` time NOT NULL,
  `E_EndTime` time NOT NULL,
  `E_Place` varchar(255) NOT NULL,
  `E_Description` text NOT NULL,
  `E_State` varchar(255) DEFAULT NULL,
  `E_City` varchar(255) DEFAULT NULL,
  `E_Zipcode` varchar(255) DEFAULT NULL,
  `E_Address` text DEFAULT NULL,
  `E_Fees` bigint(20) DEFAULT NULL,
  `E_Status` char(255) NOT NULL DEFAULT 'P' COMMENT 'P:Pending,A: Active, R: Reject,C:Cancalled,D:Done',
  `E_Capacity` int(11) NOT NULL,
  `E_Booked_Count` int(11) NOT NULL DEFAULT 0,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `events`
--

INSERT INTO `events` (`E_Id`, `E_Name`, `E_Creater_Name`, `E_Creater_Mobile`, `U_Id`, `Mam_Id`, `E_StartDate`, `E_EndDate`, `E_StartTime`, `E_EndTime`, `E_Place`, `E_Description`, `E_State`, `E_City`, `E_Zipcode`, `E_Address`, `E_Fees`, `E_Status`, `E_Capacity`, `E_Booked_Count`, `deleted_at`, `created_at`, `updated_at`) VALUES
(1, 'Driving Licence Camp', 'Ram', '4545148276', 2, NULL, '2025-04-19', '2025-04-19', '05:30:00', '17:38:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '10001', '123 Park Ave, New York, NY', 10, 'D', 10, 9, NULL, '2025-04-19 14:31:06', '2025-04-19 15:14:06'),
(2, 'Driving Licence Camp', 'Ram', '4545148276', 2, NULL, '2025-04-19', '2025-04-19', '05:30:00', '17:38:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '10001', '123 Park Ave, New York, NY', 10, 'P', 10, 0, NULL, '2025-04-19 14:52:04', '2025-04-19 14:52:04'),
(3, 'Driving Licence Camp', 'Ram', '4545148276', 2, NULL, '2025-04-19', '2025-04-19', '05:30:00', '17:38:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '10001', '123 Park Ave, New York, NY', 10, 'D', 10, 0, NULL, '2025-04-19 15:00:12', '2025-04-19 15:02:03'),
(4, 'Driving Licence Camp', 'Ram', '4545148276', 3, NULL, '2025-04-19', '2025-04-19', '05:30:00', '17:38:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '10001', '123 Park Ave, New York, NY', 10, 'P', 10, 0, NULL, '2025-04-19 15:00:24', '2025-04-19 15:00:24'),
(5, 'Driving Licence Camp', 'Ram', '4545148276', 2, NULL, '2025-04-19', '2025-04-19', '05:30:00', '20:34:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '10001', '123 Park Ave, New York, NY', 10, 'D', 10, 0, NULL, '2025-04-19 15:01:14', '2025-04-19 15:06:26'),
(6, 'Driving Licence Camp', 'Ram', '4545148276', 3, NULL, '2025-04-19', '2025-04-19', '05:30:00', '20:34:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '10001', '123 Park Ave, New York, NY', 10, 'D', 10, 0, NULL, '2025-04-19 15:01:20', '2025-04-19 15:06:18'),
(7, 'Driving Licence Camp', 'Ram', '4545148276', 3, NULL, '2025-04-21', '2025-04-25', '05:30:00', '20:34:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '10001', '123 Park Ave, New York, NY', 10, 'A', 10, 3, NULL, '2025-04-21 06:54:50', '2025-04-21 06:55:19'),
(8, 'Driving Licence Camp', 'Ram', '4545148276', 3, NULL, '2025-04-21', '2025-04-25', '05:30:00', '20:34:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '10001', '123 Park Ave, New York, NY', 10, 'P', 10, 0, NULL, '2025-04-21 09:59:39', '2025-04-21 09:59:39'),
(9, 'Driving Licence Camp', 'Ram', '4545148276', 3, NULL, '2025-04-21', '2025-04-25', '05:30:00', '20:34:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '10001', '123 Park Ave, New York, NY', 10, 'P', 10, 0, NULL, '2025-04-21 09:59:55', '2025-04-21 09:59:55'),
(10, 'Driving Licence Camp', 'Ram', '4545148276', 3, NULL, '2025-04-21', '2025-04-25', '05:30:00', '20:34:00', 'Central Park', 'A community-driven event to book the Licence.', 'New York', 'New York City', '100001', '123 Park Ave, New York, NY', 10, 'P', 10, 0, NULL, '2025-04-21 10:10:39', '2025-04-21 10:10:39'),
(11, 'First Events', 'Manoj Sharma', '4455577848', 3, NULL, '2025-04-22', '2025-04-25', '05:30:00', '20:34:00', 'Central Park', 'A community-First event to book.', 'New York', 'New York City', '100001', '123 Park Ave, New York, NY', 100, 'P', 10, 0, NULL, '2025-04-22 11:30:07', '2025-04-22 11:30:07');

-- --------------------------------------------------------

--
-- Table structure for table `failed_jobs`
--

CREATE TABLE `failed_jobs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `uuid` varchar(255) NOT NULL,
  `connection` text NOT NULL,
  `queue` text NOT NULL,
  `payload` longtext NOT NULL,
  `exception` longtext NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `gallary`
--

CREATE TABLE `gallary` (
  `CE_Id` bigint(20) UNSIGNED NOT NULL,
  `CE_Name` varchar(255) DEFAULT NULL,
  `CE_Date` date DEFAULT NULL,
  `CE_Place` varchar(255) DEFAULT NULL,
  `CE_Description` text DEFAULT NULL,
  `CE_Photo` longtext NOT NULL,
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `jobs`
--

CREATE TABLE `jobs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `Company_Name` varchar(255) NOT NULL,
  `Job_Title` varchar(255) NOT NULL,
  `Job_Description` text DEFAULT NULL,
  `website` varchar(255) DEFAULT NULL,
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `Status` enum('open','close') NOT NULL DEFAULT 'open',
  `Location` text DEFAULT NULL,
  `City` varchar(255) DEFAULT NULL,
  `State` varchar(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `jobs`
--

INSERT INTO `jobs` (`id`, `Company_Name`, `Job_Title`, `Job_Description`, `website`, `U_Id`, `Status`, `Location`, `City`, `State`, `created_at`, `updated_at`) VALUES
(1, 'Aark Infosoft PVT 1', 'Laravel Devloper 1', 'Laravel devloper 5 years exprience', NULL, 2, 'open', 'C G Road Ahemdabad', 'Ahemdabad', NULL, '2025-04-17 17:29:35', '2025-04-17 18:01:54'),
(2, 'Aark Infosoft PVT', 'Laravel Devloper', 'Laravel devloper 5 years exprience', NULL, 2, 'open', NULL, NULL, NULL, '2025-04-17 17:39:28', '2025-04-17 17:39:28'),
(4, 'Aark Infosoft PVT', 'Laravel Devloper', 'Laravel devloper 5 years exprience', 'https://aark.co.in/', 2, 'open', 'C G Road Ahemdabad', 'Ahemdabad', 'Gujrat', '2025-04-17 17:41:09', '2025-04-17 17:41:09'),
(5, 'Aark Infosoft PVT 1', 'Laravel Devloper 1', 'Laravel devloper 5 years exprience', 'https://aark.co.in/', 3, 'open', 'C G Road Ahemdabad', 'Ahemdabad', 'Gujrat', '2025-04-18 06:06:32', '2025-04-18 06:06:32'),
(6, 'Aark Infosoft PVT 1', 'Laravel Devloper 1', 'Laravel devloper 5 years exprience', 'https://aark.co.in/', 3, 'open', 'C G Road Ahemdabad', 'Ahemdabad', 'Gujrat', '2025-04-19 04:00:37', '2025-04-19 04:00:37'),
(7, 'Aark Infosoft PVT 1', 'Laravel Devloper 1', 'Laravel devloper 5 years exprience', 'https://aark.co.in/', 3, 'open', 'C G Road Ahemdabad', 'Ahemdabad', 'Gujrat', '2025-04-19 04:00:40', '2025-04-19 04:00:40'),
(8, 'Aark Infosoft PVT 1', 'Laravel Devloper 1', 'Laravel devloper 5 years exprience', 'https://aark.co.in/', 3, 'close', 'C G Road Ahemdabad', 'Ahemdabad', 'Gujrat', '2025-04-19 04:00:42', '2025-04-19 04:20:29');

-- --------------------------------------------------------

--
-- Table structure for table `job_applications`
--

CREATE TABLE `job_applications` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `Name` varchar(255) NOT NULL,
  `Mobile` varchar(255) NOT NULL,
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `Job_Id` bigint(20) UNSIGNED NOT NULL,
  `Resume` varchar(255) NOT NULL,
  `Description` text DEFAULT NULL,
  `status` enum('pending','accepted','rejected') NOT NULL DEFAULT 'pending',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `job_applications`
--

INSERT INTO `job_applications` (`id`, `Name`, `Mobile`, `U_Id`, `Job_Id`, `Resume`, `Description`, `status`, `created_at`, `updated_at`) VALUES
(1, 'jay', '15244578154', 3, 4, 'C:\\xampp\\tmp\\php7998.tmp', NULL, 'pending', '2025-04-18 06:19:18', '2025-04-18 06:19:18'),
(2, 'jay', '15244578154', 3, 4, 'C:\\xampp\\tmp\\php1F69.tmp', NULL, 'pending', '2025-04-18 06:21:06', '2025-04-18 06:21:06'),
(3, 'jay', '15244578154', 3, 4, 'http://127.0.0.1:8000/Resume/1744957411_packages.docx', NULL, 'pending', '2025-04-18 06:23:31', '2025-04-18 06:23:31'),
(4, 'jay', '15244578154', 3, 4, 'http://127.0.0.1:8000/Resume/1744957448_Connecto.pdf', NULL, 'pending', '2025-04-18 06:24:08', '2025-04-18 06:24:08'),
(5, 'Ram', '4187548754', 13, 8, 'http://127.0.0.1:8000/Resume/1745035693_Connecto.pdf', NULL, 'accepted', '2025-04-19 04:08:13', '2025-04-19 04:09:22'),
(6, 'Ram', '4187548754', 8, 8, 'http://127.0.0.1:8000/Resume/1745036244_Connecto.pdf', NULL, 'pending', '2025-04-19 04:17:24', '2025-04-19 04:17:24');

-- --------------------------------------------------------

--
-- Table structure for table `job_batches`
--

CREATE TABLE `job_batches` (
  `id` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `total_jobs` int(11) NOT NULL,
  `pending_jobs` int(11) NOT NULL,
  `failed_jobs` int(11) NOT NULL,
  `failed_job_ids` longtext NOT NULL,
  `options` mediumtext DEFAULT NULL,
  `cancelled_at` int(11) DEFAULT NULL,
  `created_at` int(11) NOT NULL,
  `finished_at` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `logins`
--

CREATE TABLE `logins` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `U_Id` bigint(20) UNSIGNED DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `mobile` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `logins`
--

INSERT INTO `logins` (`id`, `U_Id`, `email`, `mobile`, `password`, `created_at`, `updated_at`) VALUES
(1, 15, 'karan1@gmail.com', '7485758476', NULL, '2025-04-14 06:22:12', '2025-04-14 06:22:12'),
(2, 15, 'karan1@gmail.com', '7485758476', NULL, '2025-04-14 06:23:19', '2025-04-14 06:23:19'),
(3, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-14 06:25:16', '2025-04-14 06:25:16'),
(4, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-14 06:25:53', '2025-04-14 06:25:53'),
(5, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-14 06:26:18', '2025-04-14 06:26:18'),
(6, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-14 06:27:59', '2025-04-14 06:27:59'),
(7, 8, 'rakesh@gmail.com', '7845251211', NULL, '2025-04-14 07:04:23', '2025-04-14 07:04:23'),
(8, 6, 'keval@gmail.com', '4848484848', NULL, '2025-04-14 07:05:51', '2025-04-14 07:05:51'),
(9, 6, 'keval@gmail.com', '4848484848', NULL, '2025-04-14 07:08:47', '2025-04-14 07:08:47'),
(10, 3, 'kishan@gmail.com', '7788477884', NULL, '2025-04-14 07:09:11', '2025-04-14 07:09:11'),
(11, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-14 07:09:23', '2025-04-14 07:09:23'),
(12, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-14 07:09:56', '2025-04-14 07:09:56'),
(13, 2, 'auth@gmail.com', '1122334455', NULL, '2025-04-14 07:10:12', '2025-04-14 07:10:12'),
(14, 2, 'auth@gmail.com', '1122334455', NULL, '2025-04-14 07:14:51', '2025-04-14 07:14:51'),
(15, 3, 'kishan@gmail.com', '7788477884', NULL, '2025-04-14 07:15:31', '2025-04-14 07:15:31'),
(16, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-16 18:19:35', '2025-04-16 18:19:35'),
(17, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-16 18:19:42', '2025-04-16 18:19:42'),
(18, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-17 15:51:42', '2025-04-17 15:51:42'),
(19, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-17 16:01:20', '2025-04-17 16:01:20'),
(20, 1, 'jaydipaipl@gmail.com', '1234567890', NULL, '2025-04-17 16:05:39', '2025-04-17 16:05:39'),
(21, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:06:15', '2025-04-17 16:06:15'),
(22, 2, 'auth@gmail.com', '1122334455', NULL, '2025-04-17 16:06:16', '2025-04-17 16:06:16'),
(23, 2, 'auth@gmail.com', '1122334455', NULL, '2025-04-17 16:06:29', '2025-04-17 16:06:29'),
(24, 3, 'kishan@gmail.com', '7788477884', NULL, '2025-04-17 16:07:13', '2025-04-17 16:07:13'),
(25, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:07:57', '2025-04-17 16:07:57'),
(26, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:09:23', '2025-04-17 16:09:23'),
(27, 3, 'kishan@gmail.com', '7788477884', NULL, '2025-04-17 16:09:57', '2025-04-17 16:09:57'),
(28, 3, 'kishan@gmail.com', '7788477884', NULL, '2025-04-17 16:10:18', '2025-04-17 16:10:18'),
(29, 3, 'kishan@gmail.com', '7788477884', NULL, '2025-04-17 16:13:36', '2025-04-17 16:13:36'),
(30, 2, 'auth@gmail.com', '1122334455', NULL, '2025-04-17 16:13:55', '2025-04-17 16:13:55'),
(31, 2, 'auth@gmail.com', '1122334455', NULL, '2025-04-17 16:15:09', '2025-04-17 16:15:09'),
(32, 3, 'kishan@gmail.com', '7788477884', NULL, '2025-04-17 16:15:33', '2025-04-17 16:15:33'),
(33, 3, 'kishan@gmail.com', '7788477884', NULL, '2025-04-17 16:16:28', '2025-04-17 16:16:28'),
(34, 3, 'kishan@gmail.com', '7788477884', NULL, '2025-04-17 16:18:11', '2025-04-17 16:18:11'),
(35, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:22:59', '2025-04-17 16:22:59'),
(36, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:27:47', '2025-04-17 16:27:47'),
(37, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:32:27', '2025-04-17 16:32:27'),
(38, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:36:10', '2025-04-17 16:36:10'),
(39, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:40:49', '2025-04-17 16:40:49'),
(40, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:47:18', '2025-04-17 16:47:18'),
(41, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:50:48', '2025-04-17 16:50:48'),
(42, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:53:31', '2025-04-17 16:53:31'),
(43, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 16:58:27', '2025-04-17 16:58:27'),
(44, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 17:24:04', '2025-04-17 17:24:04'),
(45, 2, 'auth@gmail.com', '1122334455', NULL, '2025-04-17 17:33:20', '2025-04-17 17:33:20'),
(46, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 17:41:09', '2025-04-17 17:41:09'),
(47, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 19:11:26', '2025-04-17 19:11:26'),
(48, 2, 'auth@gmail.com', '1122334455', NULL, '2025-04-17 19:12:21', '2025-04-17 19:12:21'),
(49, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 19:19:44', '2025-04-17 19:19:44'),
(50, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 19:34:44', '2025-04-17 19:34:44'),
(51, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 19:42:46', '2025-04-17 19:42:46'),
(52, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 19:50:15', '2025-04-17 19:50:15'),
(53, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 20:39:22', '2025-04-17 20:39:22'),
(54, 18, 'vanshudi@gmail.com', '8532196470', NULL, '2025-04-17 21:28:41', '2025-04-17 21:28:41'),
(55, 5, 'jaydipdabhiaipl@gmail.com', '4747474747', NULL, '2025-04-19 17:15:22', '2025-04-19 17:15:22'),
(56, 5, 'jaydipdabhiaipl@gmail.com', '4747474747', NULL, '2025-04-19 17:17:27', '2025-04-19 17:17:27'),
(57, 5, 'jaydipdabhiaipl@gmail.com', '4747474747', NULL, '2025-04-19 17:17:40', '2025-04-19 17:17:40'),
(58, 3, 'jaydeepmakwanaaipl@gmail.com', '7788477884', NULL, '2025-04-19 17:19:10', '2025-04-19 17:19:10'),
(59, 3, 'jaydeepmakwanaaipl@gmail.com', '7788477884', NULL, '2025-04-19 17:20:35', '2025-04-19 17:20:35'),
(60, 3, 'jaydeepmakwanaaipl@gmail.com', '7788477884', NULL, '2025-04-19 17:22:08', '2025-04-19 17:22:08'),
(61, 3, 'jaydeepmakwanaaipl@gmail.com', '7788477884', NULL, '2025-04-19 17:22:20', '2025-04-19 17:22:20');

-- --------------------------------------------------------

--
-- Table structure for table `marketplaces`
--

CREATE TABLE `marketplaces` (
  `M_Id` bigint(20) UNSIGNED NOT NULL,
  `M_Category` enum('Electronics','Home Appliances','Furniture','Clothes','Footwear','Books','Vehicles','Real Estate','Toys','Sports','Fitness','Handicrafts','Others') NOT NULL,
  `M_Title` varchar(255) NOT NULL,
  `M_Description` text DEFAULT NULL,
  `M_Name` varchar(255) NOT NULL,
  `M_Mobile` varchar(255) NOT NULL,
  `M_Address` varchar(255) NOT NULL,
  `M_Image` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL CHECK (json_valid(`M_Image`)),
  `M_Price` decimal(10,2) NOT NULL,
  `M_Status` enum('Active','Inactive') NOT NULL DEFAULT 'Active',
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `marketplaces`
--

INSERT INTO `marketplaces` (`M_Id`, `M_Category`, `M_Title`, `M_Description`, `M_Name`, `M_Mobile`, `M_Address`, `M_Image`, `M_Price`, `M_Status`, `U_Id`, `deleted_at`, `created_at`, `updated_at`) VALUES
(1, 'Electronics', 'Smart TV', NULL, 'abc', '41521789630', '123 abc marketplace', '[\"http:\\/\\/127.0.0.1:8000\\/marketplace\\/1745076101_social2.png\",\"http:\\/\\/127.0.0.1:8000\\/marketplace\\/1745076101_fashion.png\",\"http:\\/\\/127.0.0.1:8000\\/marketplace\\/1745076101_social.png\"]', 20000.00, 'Active', 3, NULL, '2025-04-19 15:21:41', '2025-04-19 15:21:41'),
(2, 'Electronics', 'Smart TV', NULL, 'abc', '41521789630', '123 abc marketplace', '[\"http:\\/\\/127.0.0.1:8000\\/marketplace\\/1745076109_social2.png\",\"http:\\/\\/127.0.0.1:8000\\/marketplace\\/1745076109_fashion.png\",\"http:\\/\\/127.0.0.1:8000\\/marketplace\\/1745076109_social.png\"]', 20000.00, 'Active', 3, NULL, '2025-04-19 15:21:49', '2025-04-19 15:21:49');

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE `migrations` (
  `id` int(10) UNSIGNED NOT NULL,
  `migration` varchar(255) NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(1, '0001_01_01_000000_create_users_table', 1),
(2, '0001_01_01_000001_create_cache_table', 1),
(3, '0001_01_01_000002_create_jobs_table', 1),
(4, '2025_04_11_094409_create_personal_access_tokens_table', 1),
(5, '2025_04_11_094629_create_role_masters_table', 2),
(8, '2025_04_11_095851_create_user_masters_table', 3),
(9, '2025_04_11_131145_create_logins_table', 4),
(15, '2025_04_14_160922_create_package_features_table', 5),
(16, '2025_04_14_162937_create_price_masters_table', 5),
(17, '2025_04_14_164706_create_duration_types_table', 6),
(19, '2025_04_14_165801_create_dis_val_types_table', 7),
(20, '2025_04_15_045059_create_schedule_demos_table', 8),
(21, '2025_04_15_060002_create_price_type_values_table', 9),
(25, '2025_04_15_072511_create_discount_types_table', 10),
(27, '2025_04_15_072720_create_discount_masters_table', 11),
(34, '2025_04_15_095431_create_package_masters_table', 12),
(36, '2025_04_16_131301_create_tags_table', 13),
(38, '2025_04_16_142343_add_package_id_to_user_masters', 14),
(39, '2025_04_16_172951_add_total_duration_to_package_masters', 15),
(40, '2025_04_16_193134_create_com_packages_table', 16),
(41, '2025_04_17_173459_add_pan_no_and_com_regi_no_to_user_masters_table', 16),
(43, '2025_04_17_182350_create_notices_table', 17),
(44, '2025_04_17_203050_create_gallary_table', 17),
(46, '2025_04_17_224058_create_jobs_table', 18),
(47, '2025_04_18_104742_create_job_applications_table', 19),
(48, '2025_04_18_121625_add_dis_status_to_discount_masters_table', 20),
(51, '2025_04_18_144743_drop_package_masters_table', 21),
(57, '2025_04_18_144841_create_package_masters_table', 22),
(61, '2025_04_19_095345_create_celebration_table', 23),
(62, '2025_04_19_111102_create_condolences_table', 24),
(63, '2025_04_19_150941_create_marketplaces_table', 25),
(64, '2025_04_19_161101_create_events_table', 25),
(67, '2025_04_19_182340_create_book_events_table', 26),
(68, '2025_04_19_200525_create_additional_people_table', 26),
(69, '2025_04_19_213544_create_otp_log_table', 27),
(70, '2025_05_20_162631_create_categories_table', 28),
(71, '2025_05_20_172659_create_donations_table', 29),
(73, '2025_05_20_174708_create_donates_table', 30),
(74, '2025_05_20_183231_add_cat_id_to_donations_table', 31),
(75, '2025_05_20_192137_create_package_discount_table', 32);

-- --------------------------------------------------------

--
-- Table structure for table `notices`
--

CREATE TABLE `notices` (
  `N_Id` bigint(20) UNSIGNED NOT NULL,
  `N_Title` varchar(255) NOT NULL,
  `N_Category` varchar(255) DEFAULT NULL,
  `N_MaleName` varchar(255) DEFAULT NULL,
  `N_WomanName` varchar(255) DEFAULT NULL,
  `N_Date` date DEFAULT NULL,
  `N_Age` int(11) DEFAULT NULL,
  `N_Years` int(11) DEFAULT NULL,
  `N_Mobile` varchar(255) DEFAULT NULL,
  `N_Email` varchar(255) DEFAULT NULL,
  `N_Address` text DEFAULT NULL,
  `N_Description` text DEFAULT NULL,
  `N_Image` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL CHECK (json_valid(`N_Image`)),
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `notices`
--

INSERT INTO `notices` (`N_Id`, `N_Title`, `N_Category`, `N_MaleName`, `N_WomanName`, `N_Date`, `N_Age`, `N_Years`, `N_Mobile`, `N_Email`, `N_Address`, `N_Description`, `N_Image`, `U_Id`, `created_at`, `updated_at`) VALUES
(1, 'Sample Notice', 'General', 'John Doe', 'Jane Doe', '2025-04-17', 30, 5, '1234567890', 'abc@gmail.com', 'john3@example.com', 'This is a sample notice description', NULL, 10, '2025-04-17 16:44:01', '2025-04-17 16:44:01');

-- --------------------------------------------------------

--
-- Table structure for table `otp_log`
--

CREATE TABLE `otp_log` (
  `Veri_Seq` bigint(20) UNSIGNED NOT NULL,
  `U_Id` bigint(20) UNSIGNED DEFAULT NULL,
  `OTP_Char` varchar(6) NOT NULL,
  `OPT_Type` varchar(1) NOT NULL,
  `OPT_Status` varchar(1) NOT NULL,
  `SendingDate` date NOT NULL,
  `SendingTime` varchar(255) NOT NULL,
  `ExpieryDate` date NOT NULL,
  `ExpieryTime` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `otp_log`
--

INSERT INTO `otp_log` (`Veri_Seq`, `U_Id`, `OTP_Char`, `OPT_Type`, `OPT_Status`, `SendingDate`, `SendingTime`, `ExpieryDate`, `ExpieryTime`, `created_at`, `updated_at`) VALUES
(1, 5, '995445', 'P', 'V', '2025-04-19', '21:57:56', '2025-04-19', '22:02:56', '2025-04-19 16:27:56', '2025-04-19 16:28:29'),
(2, 5, '685380', 'P', 'V', '2025-04-19', '22:08:58', '2025-04-19', '22:13:58', '2025-04-19 16:38:58', '2025-04-19 16:39:22'),
(3, 5, '937752', 'P', 'V', '2025-04-19', '22:46:14', '2025-04-19', '22:51:14', '2025-04-19 17:16:14', '2025-04-19 17:16:48'),
(4, 3, '676883', 'P', 'V', '2025-04-19', '22:49:31', '2025-04-19', '22:54:31', '2025-04-19 17:19:31', '2025-04-19 17:19:49'),
(5, 3, '991229', 'P', 'V', '2025-04-19', '22:50:57', '2025-04-19', '22:55:57', '2025-04-19 17:20:57', '2025-04-19 17:21:19');

-- --------------------------------------------------------

--
-- Table structure for table `package_discount`
--

CREATE TABLE `package_discount` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `PackageId` bigint(20) UNSIGNED NOT NULL,
  `D_Id` bigint(20) UNSIGNED DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `package_features`
--

CREATE TABLE `package_features` (
  `Package_Fea_Id` bigint(20) UNSIGNED NOT NULL,
  `Package_Fea_Name` varchar(255) NOT NULL,
  `Package_Fea_Description` text DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `package_features`
--

INSERT INTO `package_features` (`Package_Fea_Id`, `Package_Fea_Name`, `Package_Fea_Description`, `created_at`, `updated_at`) VALUES
(1, 'Member Management', NULL, '2025-04-22 11:57:35', '2025-04-22 11:57:35'),
(2, 'Notice Management', NULL, '2025-04-22 11:57:43', '2025-04-22 11:57:43'),
(3, 'Events Management', NULL, '2025-04-22 11:57:49', '2025-04-22 11:57:49'),
(4, 'Celebration Management', NULL, '2025-04-22 11:58:04', '2025-04-22 11:58:04'),
(5, 'Condolences Management', NULL, '2025-04-22 11:58:18', '2025-04-22 11:58:18'),
(6, 'Gallary Management', NULL, '2025-04-22 11:58:30', '2025-04-22 11:58:30'),
(7, 'Job', NULL, '2025-04-22 11:58:46', '2025-04-22 11:58:46'),
(8, 'Market Management', NULL, '2025-04-22 11:59:00', '2025-04-22 11:59:00'),
(9, 'Matrimony', NULL, '2025-04-22 11:59:21', '2025-04-22 11:59:21');

-- --------------------------------------------------------

--
-- Table structure for table `package_feature_pivot`
--

CREATE TABLE `package_feature_pivot` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `PackageId` bigint(20) UNSIGNED NOT NULL,
  `Package_Fea_Id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `package_feature_pivot`
--

INSERT INTO `package_feature_pivot` (`id`, `PackageId`, `Package_Fea_Id`, `created_at`, `updated_at`) VALUES
(1, 1, 1, NULL, NULL),
(2, 1, 2, NULL, NULL),
(3, 1, 6, NULL, NULL),
(4, 2, 1, NULL, NULL),
(5, 2, 2, NULL, NULL),
(6, 2, 6, NULL, NULL),
(7, 2, 3, NULL, NULL),
(8, 2, 4, NULL, NULL),
(9, 2, 5, NULL, NULL),
(10, 2, 7, NULL, NULL),
(12, 3, 1, NULL, NULL),
(13, 3, 2, NULL, NULL),
(14, 3, 6, NULL, NULL),
(15, 3, 3, NULL, NULL),
(16, 3, 4, NULL, NULL),
(17, 3, 5, NULL, NULL),
(18, 3, 7, NULL, NULL),
(19, 3, 8, NULL, NULL),
(20, 3, 9, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `package_masters`
--

CREATE TABLE `package_masters` (
  `PackageId` bigint(20) UNSIGNED NOT NULL,
  `PackageName` varchar(255) NOT NULL,
  `Description` longtext DEFAULT NULL,
  `Status` enum('A','D') NOT NULL DEFAULT 'A',
  `MaxUsers` int(11) NOT NULL DEFAULT 0,
  `Duration_Value` int(11) NOT NULL,
  `DT_Id` bigint(20) UNSIGNED NOT NULL,
  `Dis_Merge` int(11) NOT NULL DEFAULT 1,
  `PVT_Id` bigint(20) UNSIGNED NOT NULL,
  `Final_Price` decimal(10,2) NOT NULL,
  `Total_Duration` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `package_masters`
--

INSERT INTO `package_masters` (`PackageId`, `PackageName`, `Description`, `Status`, `MaxUsers`, `Duration_Value`, `DT_Id`, `Dis_Merge`, `PVT_Id`, `Final_Price`, `Total_Duration`, `created_at`, `updated_at`) VALUES
(1, 'Basic Package', 'This package is Basic Package', 'A', 600, 3, 3, 1, 1, 1400.00, 1095, '2025-04-22 12:06:09', '2025-04-22 12:06:09'),
(2, 'Primum Package', 'This package is Primum Package', 'A', 600, 3, 2, 2, 3, 2800.00, 90, '2025-04-22 12:21:54', '2025-04-22 12:32:01'),
(3, 'Gold Package', 'This package is Gold Package', 'A', 800, 3, 2, 3, 3, 3325.00, 90, '2025-04-22 12:34:10', '2025-04-22 12:34:10');

-- --------------------------------------------------------

--
-- Table structure for table `password_reset_tokens`
--

CREATE TABLE `password_reset_tokens` (
  `email` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `personal_access_tokens`
--

CREATE TABLE `personal_access_tokens` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `tokenable_type` varchar(255) NOT NULL,
  `tokenable_id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) NOT NULL,
  `token` varchar(64) NOT NULL,
  `abilities` text DEFAULT NULL,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `price_masters`
--

CREATE TABLE `price_masters` (
  `PT_Id` bigint(20) UNSIGNED NOT NULL,
  `Pri_Type` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `price_masters`
--

INSERT INTO `price_masters` (`PT_Id`, `Pri_Type`, `created_at`, `updated_at`) VALUES
(1, 'Retail Price', '2025-04-22 11:43:19', '2025-04-22 11:43:19'),
(2, 'Registration Price', '2025-04-22 11:43:41', '2025-04-22 11:43:41'),
(3, 'Subscription', '2025-04-22 11:43:53', '2025-04-22 11:43:53');

-- --------------------------------------------------------

--
-- Table structure for table `price_type_values`
--

CREATE TABLE `price_type_values` (
  `PVT_Id` bigint(20) UNSIGNED NOT NULL,
  `PT_Id` bigint(20) UNSIGNED NOT NULL,
  `Price_Value` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `price_type_values`
--

INSERT INTO `price_type_values` (`PVT_Id`, `PT_Id`, `Price_Value`, `created_at`, `updated_at`) VALUES
(1, 1, '1500', '2025-04-22 11:44:22', '2025-04-22 11:44:22'),
(2, 2, '2500', '2025-04-22 11:44:31', '2025-04-22 11:44:31'),
(3, 3, '3500', '2025-04-22 11:44:38', '2025-04-22 11:44:38');

-- --------------------------------------------------------

--
-- Table structure for table `role_masters`
--

CREATE TABLE `role_masters` (
  `Role_Id` bigint(20) UNSIGNED NOT NULL,
  `Role_Name` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `role_masters`
--

INSERT INTO `role_masters` (`Role_Id`, `Role_Name`, `created_at`, `updated_at`) VALUES
(1, 'SuperAdmin', '2025-04-11 06:34:21', '2025-04-11 06:34:21'),
(2, 'Community Admin', '2025-04-11 06:34:36', '2025-04-18 05:43:15'),
(3, 'Member', '2025-04-11 06:34:48', '2025-04-18 05:43:37');

-- --------------------------------------------------------

--
-- Table structure for table `schedule_demos`
--

CREATE TABLE `schedule_demos` (
  `sche_id` bigint(20) UNSIGNED NOT NULL,
  `sche_name` varchar(255) NOT NULL,
  `sche_email` varchar(255) NOT NULL,
  `sche_phone` varchar(255) NOT NULL,
  `sche_date` date NOT NULL,
  `sche_time_slots` varchar(255) NOT NULL,
  `additional_note` text DEFAULT NULL,
  `sche_status` tinyint(4) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `schedule_demos`
--

INSERT INTO `schedule_demos` (`sche_id`, `sche_name`, `sche_email`, `sche_phone`, `sche_date`, `sche_time_slots`, `additional_note`, `sche_status`, `created_at`, `updated_at`) VALUES
(2, 'Karan', 'jaydipdabhiaipl@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', 'Looking forward to the demo session', 1, '2025-04-14 23:47:57', '2025-04-14 23:49:44'),
(3, 'Kali', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', 'Looking forward to the demo session', 1, '2025-04-14 23:56:15', '2025-04-14 23:56:32'),
(4, 'Karan', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', 'Looking forward to the demo session', 1, '2025-04-15 00:17:18', '2025-04-15 00:17:31'),
(5, 'Karan', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', 'Looking forward to the demo session', 1, '2025-04-15 00:18:36', '2025-04-15 00:18:42'),
(6, 'Karan', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', 'Looking forward to the demo session', 1, '2025-04-15 00:19:17', '2025-04-15 00:19:23'),
(7, 'Karan', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', 'Looking forward to the demo session', 1, '2025-04-16 18:04:15', '2025-04-16 19:08:02'),
(8, 'Karan1', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', 'Looking forward to the demo session', 2, '2025-04-16 18:04:31', '2025-04-16 18:05:44'),
(9, 'shyaml', 'shyamal@gmail.com', '07894564654', '2025-04-15', '18:16 - 20:18', 'notes', 1, '2025-04-16 18:16:27', '2025-04-16 19:09:03'),
(10, 'shyaml', 'shyamal@gmail.com', '07894564654', '2025-04-15', '19:16 - 23:21', 'notes', 1, '2025-04-16 18:16:59', '2025-04-17 14:55:35'),
(11, 'Alpesh Sureshbhai Parmar', 'shyamalodedraaipl@gmail.com', '07894561234', '2025-04-17', '10:00 - 11:00', 'notes', 1, '2025-04-16 18:49:20', '2025-04-16 19:08:22'),
(12, 'Karan1', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', 'Looking forward to the demo session', 1, '2025-04-16 18:57:46', '2025-04-16 18:58:03'),
(13, 'Karan', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', NULL, 1, '2025-04-16 18:58:56', '2025-04-17 14:58:13'),
(14, 'Alpesh Sureshbhai Parmar', 'shyamalodedraaipl@gmail.com', '07894561234', '2025-04-17', '10:00 - 11:00', NULL, 2, '2025-04-16 18:59:05', '2025-04-16 19:10:05'),
(15, 'shyaml', 'shyamal@gmail.com', '07894564654', '2025-04-15', '19:16 - 23:21', NULL, 2, '2025-04-16 18:59:17', '2025-04-16 19:10:10'),
(16, 'Alpesh Sureshbhai Parmar', 'shyamalodedraaipl@gmail.com', '07894561234', '2025-04-17', '10:00 - 11:00', NULL, 1, '2025-04-16 19:01:29', '2025-04-16 19:10:13'),
(17, 'Alpesh Sureshbhai Parmar', 'shyamalodedraaipl@gmail.com', '07894561234', '2025-04-17', '10:00 - 11:00', NULL, 1, '2025-04-16 19:01:32', '2025-04-17 14:55:49'),
(18, 'Karan', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', NULL, 2, '2025-04-16 19:01:34', '2025-04-17 14:58:20'),
(19, 'shyaml', 'shyamal@gmail.com', '07894564654', '2025-04-15', '19:16 - 23:21', NULL, 2, '2025-04-16 19:01:37', '2025-04-17 14:58:22'),
(20, 'Karan', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', NULL, 2, '2025-04-16 19:01:53', '2025-04-17 14:58:24'),
(21, 'shyaml', 'shyamal@gmail.com', '07894564654', '2025-04-15', '19:16 - 23:21', NULL, 1, '2025-04-16 19:01:55', '2025-04-16 19:09:53'),
(22, 'shyaml', 'shyamal@gmail.com', '07894564654', '2025-04-15', '18:16 - 20:18', NULL, 1, '2025-04-16 19:01:57', '2025-04-16 19:09:36'),
(23, 'Alpesh Sureshbhai Parmar', 'shyamalodedraaipl@gmail.com', '07894561234', '2025-04-17', '10:00 - 11:00', NULL, 1, '2025-04-16 19:02:10', '2025-04-16 19:09:24'),
(24, 'Alpesh Sureshbhai Parmar', 'shyamalodedraaipl@gmail.com', '07894561234', '2025-04-18', '10:02 - 11:00', 'notes', 1, '2025-04-17 15:03:03', '2025-04-17 15:06:03'),
(25, 'alpeshhh', 'alpeshgohelaipl@gmail.com', '8401019172', '2025-04-07', '19:12 - 21:14', 'i have question ?', 1, '2025-04-17 15:09:42', '2025-04-17 15:09:58'),
(26, 'Karan1', 'kalitester1105@gmail.com', '1234567890', '2025-04-27', '12:00 AM - 02:00 AM', 'Looking forward to the demo session', 1, '2025-04-17 15:12:15', '2025-04-17 15:12:23'),
(27, 'ghij', 'alpeshgohelaipl@gmail.com', '8401019172', '2025-04-10', '15:15 - 21:15', 'dxsfggfdxbdfh', 1, '2025-04-17 15:15:48', '2025-04-17 15:16:00'),
(28, 'ghij', 'alpeshgohelaipl@gmail.com', '8401019172', '2025-04-18', '16:17 - 17:18', 'notes', 2, '2025-04-17 15:17:03', '2025-04-17 15:17:10'),
(29, 'mohmed', 'kalitester1105@gmail.com', '6356950988', '2025-04-18', '16:27 - 20:32', 'notes', 1, '2025-04-17 15:27:09', '2025-04-17 17:36:08');

-- --------------------------------------------------------

--
-- Table structure for table `sessions`
--

CREATE TABLE `sessions` (
  `id` varchar(255) NOT NULL,
  `user_id` bigint(20) UNSIGNED DEFAULT NULL,
  `ip_address` varchar(45) DEFAULT NULL,
  `user_agent` text DEFAULT NULL,
  `payload` longtext NOT NULL,
  `last_activity` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sessions`
--

INSERT INTO `sessions` (`id`, `user_id`, `ip_address`, `user_agent`, `payload`, `last_activity`) VALUES
('s1VYNR2Sq7ICivGEHJwd1q4WLP4IgsuDBbnYl9qc', NULL, '127.0.0.1', 'PostmanRuntime/7.43.3', 'YTozOntzOjY6Il90b2tlbiI7czo0MDoib3F0RFN1YmtuemlPUTUxZTRvU0hXOEVXNjJOaUNXV2N3UVQyd0RrbCI7czo5OiJfcHJldmlvdXMiO2E6MTp7czozOiJ1cmwiO3M6MjE6Imh0dHA6Ly8xMjcuMC4wLjE6ODAwMCI7fXM6NjoiX2ZsYXNoIjthOjI6e3M6Mzoib2xkIjthOjA6e31zOjM6Im5ldyI7YTowOnt9fX0=', 1745072802),
('w7ATiWMHvakDwAy3Fo1LqnB6urg0bHK83Z8QNgYe', NULL, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/135.0.0.0 Safari/537.36', 'YTozOntzOjY6Il90b2tlbiI7czo0MDoiaEVDUTlkTXljVjdkTFYyQlNXS3M2dXRaOFFKd3pBbDA5QUpPQ2J5ciI7czo5OiJfcHJldmlvdXMiO2E6MTp7czozOiJ1cmwiO3M6MjE6Imh0dHA6Ly8xMjcuMC4wLjE6ODAwMCI7fXM6NjoiX2ZsYXNoIjthOjI6e3M6Mzoib2xkIjthOjA6e31zOjM6Im5ldyI7YTowOnt9fX0=', 1745045141),
('ZKHiVDJqthWvrYO8Jhxr57mqcG0gCto3S7XcBK2h', NULL, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/135.0.0.0 Safari/537.36', 'YTozOntzOjY6Il90b2tlbiI7czo0MDoiVkpqRXhBYndtU05rRFVsZFJ6dWVLeXpZSzU5RTBuSWVwTUpwb2NnZiI7czo5OiJfcHJldmlvdXMiO2E6MTp7czozOiJ1cmwiO3M6MjE6Imh0dHA6Ly8xMjcuMC4wLjE6ODAwMCI7fXM6NjoiX2ZsYXNoIjthOjI6e3M6Mzoib2xkIjthOjA6e31zOjM6Im5ldyI7YTowOnt9fX0=', 1745398174);

-- --------------------------------------------------------

--
-- Table structure for table `tags`
--

CREATE TABLE `tags` (
  `Tag_Id` bigint(20) UNSIGNED NOT NULL,
  `Tag_Name` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `tags`
--

INSERT INTO `tags` (`Tag_Id`, `Tag_Name`, `created_at`, `updated_at`) VALUES
(1, 'Student', '2025-04-16 07:51:11', '2025-04-16 07:51:11'),
(2, 'Job Seeker', '2025-04-16 07:51:25', '2025-04-16 07:51:25'),
(3, 'Entrepreneur', '2025-04-16 07:51:51', '2025-04-16 07:51:51'),
(4, 'Senior', '2025-04-16 07:52:06', '2025-04-16 07:52:06'),
(5, 'Married', '2025-04-16 07:52:14', '2025-04-16 07:52:14'),
(6, 'Unmarried', '2025-04-16 07:52:26', '2025-04-16 07:52:26'),
(7, 'Volunteer', '2025-04-16 07:52:36', '2025-04-16 07:52:36'),
(8, 'Donor', '2025-04-16 07:52:45', '2025-04-16 07:52:45');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(255) NOT NULL,
  `remember_token` varchar(100) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `user_masters`
--

CREATE TABLE `user_masters` (
  `U_Id` bigint(20) UNSIGNED NOT NULL,
  `U_Name` varchar(255) NOT NULL,
  `U_Email` varchar(255) NOT NULL,
  `U_Password` varchar(255) NOT NULL,
  `U_Mobile` varchar(255) NOT NULL,
  `PAN_No` varchar(255) DEFAULT NULL,
  `Com_Regi_No` varchar(255) DEFAULT NULL,
  `Short_CommName` varchar(255) DEFAULT NULL,
  `Comm_Name` varchar(255) DEFAULT NULL,
  `Comm_Id` varchar(255) DEFAULT NULL,
  `Role_Id` bigint(20) UNSIGNED NOT NULL DEFAULT 3,
  `PackageId` bigint(20) UNSIGNED DEFAULT 1,
  `U_Status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0: Pending, 1: Approved, 2: Rejected',
  `Middle_Name` varchar(255) DEFAULT NULL,
  `Last_Name` varchar(255) DEFAULT NULL,
  `Address` varchar(255) DEFAULT NULL,
  `City` varchar(255) DEFAULT NULL,
  `State` varchar(255) DEFAULT NULL,
  `Country` varchar(255) DEFAULT NULL,
  `Zipcode` varchar(255) DEFAULT NULL,
  `Gender` enum('Male','Female','Other') DEFAULT NULL,
  `Occupation` varchar(255) DEFAULT NULL,
  `Marital_Status` enum('Married','Single') DEFAULT NULL,
  `Education_School` decimal(5,2) DEFAULT NULL,
  `Education_College` decimal(5,2) DEFAULT NULL,
  `P_Image` varchar(255) DEFAULT NULL,
  `School_Name` varchar(255) DEFAULT NULL,
  `College_Name` varchar(255) DEFAULT NULL,
  `Occupation_Address` varchar(255) DEFAULT NULL,
  `DOB` date DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `user_masters`
--

INSERT INTO `user_masters` (`U_Id`, `U_Name`, `U_Email`, `U_Password`, `U_Mobile`, `PAN_No`, `Com_Regi_No`, `Short_CommName`, `Comm_Name`, `Comm_Id`, `Role_Id`, `PackageId`, `U_Status`, `Middle_Name`, `Last_Name`, `Address`, `City`, `State`, `Country`, `Zipcode`, `Gender`, `Occupation`, `Marital_Status`, `Education_School`, `Education_College`, `P_Image`, `School_Name`, `College_Name`, `Occupation_Address`, `DOB`, `deleted_at`, `created_at`, `updated_at`) VALUES
(1, 'jaydip', 'jaydipaipl@gmail.com', '$2y$12$zsC/l8m67XtpNMcg1snM1.ujgVOdU8cjzeJbFyB2zdCMrL.JquMZC', '1234567890', NULL, NULL, NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1744950070_1.png', NULL, NULL, NULL, NULL, NULL, '2025-04-14 06:24:16', '2025-04-18 04:21:10'),
(2, 'Auth', 'auth@gmail.com', '$2y$12$5xxH8wwLMSZAq/ECQr6.DO8H3S0XQFtfdit/c1o4cw95XybZQERH2', '1122334455', NULL, NULL, 'brahman', 'Brahman', '169740', 2, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-14 06:34:17', '2025-04-14 06:34:45'),
(3, 'kishan', 'jaydeepmakwanaaipl@gmail.com', '$2y$12$sZBg.ZeFBcM6vdqIEd52f.EKM2SQSA0CpI9GoBsC2MUyKugTKodpi', '7788477884', NULL, NULL, NULL, NULL, '169740', 3, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-14 06:43:13', '2025-04-19 17:21:49'),
(4, 'syamal', 'syamalaipl@gmail.com', '$2y$12$SIB5EdRLbCsJ.D0KEZNk0ug1A2qelIWppzm3Vi03OUvFz5gHz2.vW', '4545454545', NULL, NULL, 'hindu', 'hindu', '255231', 2, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-14 06:44:22', '2025-04-14 06:45:04'),
(5, 'Jaydip', 'jaydipdabhiaipl@gmail.com', '$2y$12$YdLfq3aeu0nFuq9.I7xgueOuTsnp2xzPMJQ/bB5q3GSenpka9ee9W', '4747474747', NULL, NULL, 'muslim', 'muslim', '608765', 2, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-14 06:48:10', '2025-04-19 17:16:59'),
(6, 'Keval', 'keval@gmail.com', '$2y$12$ZUunC/IUApC9MNYWaFG59./HSiINQAOOgMJ9KBwP8If55tpt6vcf6', '4848484848', NULL, NULL, 'shik', 'shik', '710306', 2, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-14 06:50:50', '2025-04-14 06:51:02'),
(7, 'Devang', 'devang@gmail.com', '$2y$12$0QcXQKR445VUOh/Bxw2fgeIp.Bjl6TQStTgbNt0dV9cAKhY1ZbOa2', '1818181818', NULL, NULL, 'abc', 'abc', '751828', 2, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-14 06:52:43', '2025-04-17 19:03:59'),
(8, 'rakesh', 'rakesh@gmail.com', '$2y$12$DpgCMCxhR6s497Izp2OtweB/5rByM0VzOMZzj9Bx3u5dw//9bT6ni', '7845251211', NULL, NULL, NULL, NULL, '751828', 3, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-14 06:53:58', '2025-04-19 14:46:17'),
(9, 'raja', 'raja@gmail.com', '$2y$12$8PBmD8qv9pQ26RHfAEb8ueZe6LAMAXOr4y0qjZplfE47/EqeYeAAi', '1212121212', NULL, NULL, NULL, NULL, '255231', 3, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-14 07:33:18', '2025-04-14 07:33:18'),
(10, 'karan', 'karan@gmail.comran', '$2y$12$KVDCGc8a4lnmJam5/rr68OVKIe.Z2NRavgi1RTNWPt0bkyc/Xe3/i', '4578457847', NULL, NULL, 'abc', 'abc', '227055', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-16 07:38:13', '2025-04-16 07:38:13'),
(11, 'karan', 'karan1@gmail.comran', '$2y$12$hGvJFVG2jOR8aw3AS5Huv.J6clIwya5w.XtdeqrtBOHWcD62HX.HO', '4578457848', NULL, NULL, 'karan@abc', 'abc', '662467', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-16 07:40:39', '2025-04-16 07:40:39'),
(12, 'mayank', 'mayank@gmail.comran', '$2y$12$ydO0E/FdAVlJPS92w9qtsuy01oSOYNA8w559PuCgFAd00Sh4mCOy2', '8484848484', NULL, NULL, 'mayank@mmm', 'jd', '320636', 2, 2, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-16 09:13:37', '2025-04-16 09:54:07'),
(13, 'mayank', 'mayank1@gmail.comran', '$2y$12$BOTCWok5UzrAPhvmInnel.dfoD/9on0/avZes7gpQrvShZFzowq.S', '8484848483', NULL, NULL, NULL, NULL, '169740', 3, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-16 11:22:37', '2025-04-16 11:22:37'),
(14, 'jayesh', 'jayesh4@gmail.comran', '$2y$12$sy2VnwmhFLWHoFS41LcXiujXwm/yXYwAwRo1w/guou.k0apRKNfwm', '4542545428', NULL, NULL, NULL, NULL, '169740', 3, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-17 15:28:31', '2025-04-17 15:28:31'),
(15, 'Arth', 'arts@gmail.com', '$2y$12$0bDZNiCjScWKHWdysEayTu5xN3RgVoaapgrCnqrMci7kPhCM283Xu', '8511608511', NULL, NULL, NULL, NULL, '169740', 3, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-17 15:32:50', '2025-04-17 15:32:50'),
(16, 'jayeshvc', 'jaydsde@gmail.comran', '$2y$12$dQWzsRSraYPS7p3CWvwQl.0g/aWvpR2MpAIYDCDDGXydf8RTt6vwK', '4542545434', NULL, NULL, 'jayeshvc@mmm', 'jd', '574173', 2, 1, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-17 15:35:12', '2025-04-17 19:03:46'),
(17, 'keshav', 'keshav@gmail.comran', '$2y$12$hGj6FpIlbNQ8wDDVhRfJ.OBKN/GOYZn/ylg./c8JTG0Mmff1Sx4PG', '4545154145', NULL, NULL, NULL, NULL, '169740', 3, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-17 15:37:35', '2025-04-17 15:37:35'),
(18, 'vansh', 'vanshudi@gmail.com', '$2y$12$SNZIJfEHPmYyqrPI.7XxEepqvpkHjDuWd0kZKiEh6892LS6RaLqHK', '8532196470', NULL, NULL, NULL, NULL, '169740', 3, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-17 15:48:00', '2025-04-17 15:50:50'),
(19, 'shyamal', 'shyamalodedraaipl@gmail.com', '$2y$12$xFN0CrePZYOd2/.3y8Hd4OeXCQPpmMd2YIEUsmWAxwwUnroiXd/ta', '1234567899', NULL, NULL, NULL, NULL, '169740', 3, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2025-04-17 17:16:51', '2025-04-17 17:16:51'),
(20, 'John Doe 1', 'keshav21@gmail.comran', '$2y$12$Xi6vnivHon7LhOHK33Nt.e6kncjQ2H48rEDQ8nul/mJQcGGY09/nW', '4571852745', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '634952', 2, 2, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1744949818_20.png', NULL, NULL, NULL, NULL, NULL, '2025-04-17 12:37:42', '2025-04-18 04:16:58'),
(21, 'keshav', 'keshav24@gmail.comran', '$2y$12$J.EJzy0aBvEAin96ZaFTVuUM7FRVOC73/9uLB4bpgC0pnMaslqn1i', '4571852744', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '367915', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1744908722_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-17 16:52:03', '2025-04-17 16:52:03'),
(22, 'keshav', 'keshavjaha6@gmail.comran', '$2y$12$ClFLLw4kCtuPJRT.65qGUuOBsTn0BpL2PQmJdBQyEQlU2K4BF17jy', '4571852659', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '741075', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745215757_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 06:09:18', '2025-04-21 06:09:18'),
(23, 'keshav', 'keshavjaha8@gmail.comran', '$2y$12$J80XyH7xQhjmCnnxQ73JUuTBP5qXnvoR65WRcMR.vsNswTTGPHWGS', '4571852650', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '437951', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745215816_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 06:10:16', '2025-04-21 06:10:16'),
(24, 'keshav', 'keshavjaha9@gmail.comran', '$2y$12$CKNhJAZ4QbaL3e8vYnT2Le8NEmJSbG92DJdIQ60WKoci9BwkI16Qa', '4571852651', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '919689', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745215921_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 06:12:01', '2025-04-21 06:12:01'),
(25, 'keshav', 'keshavjaha10@gmail.comran', '$2y$12$VBRsAt.2HBadqaP0FVN7E.m6JVovAQlRvRZ8Dqw68CUrMlwVvFY/6', '4571852652', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '462299', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745216848_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 06:27:28', '2025-04-21 06:27:28'),
(26, 'keshav', 'keshavjaha11@gmail.comran', '$2y$12$mM.J6cN5HEN9sWDoHkS/dOyCmE3zHj4rGBpQBBwfs8CMsbo1OEdTO', '4571852655', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '341229', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745216921_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 06:28:41', '2025-04-21 06:28:41'),
(27, 'keshav', 'keshavjaha12@gmail.comran', '$2y$12$5RV4Yd58Vk6cUKSc3oTOw.b3JghqPL1zyqkW5x289sGIJCE0HmEw.', '4571852656', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '123416', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745217146_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 06:32:26', '2025-04-21 06:32:26'),
(28, 'keshav', 'keshavjaha13@gmail.comran', '$2y$12$iM82DszAh.cTrRlb4xlBBuGtpNk6Rgu5uTQwGrokFsRJ20WbBtPJW', '4571852657', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '475951', 2, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745218744_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 06:59:04', '2025-04-21 06:59:04'),
(29, 'keshav', 'keshavjaha17@gmail.comran', '$2y$12$PLz/.JSQV5nw2.s/z/4ov.luM2Tiie3ClppIti.GQAJt/lcVnFPBq', '4571547485', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '496769', 2, 7, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745220590_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 07:29:50', '2025-04-21 07:29:50'),
(30, 'keshav', 'keshavjaha19@gmail.comran', '$2y$12$.z0BVoWZ4rafQOrZ9GOfJuvGBSjtM5m5MwUIlIARJ14/TPFhnoiaC', '4571547489', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '729029', 2, 7, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745220736_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 07:32:16', '2025-04-21 07:32:16'),
(31, 'keshav', 'keshavjaha20@gmail.comran', '$2y$12$ZqsHYEVQl2roX/wnMJPSnu0zgJKmT1n/bRpTzyj5Cfo.gnepcU8oS', '4571547420', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '435792', 2, 7, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745220920_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 07:35:20', '2025-04-21 07:35:20'),
(32, 'keshav', 'keshavjaha22@gmail.comran', '$2y$12$HFbKa5Kv.AY0D6aJqnUMn.XCAMMTONdbSABy0EHsMcM1bDPlS3uSG', '4571547422', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '372145', 2, 7, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745221776_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 07:49:36', '2025-04-21 07:49:36'),
(33, 'keshav', 'keshavjaha23@gmail.comran', '$2y$12$TwXbPSOdAaQQ75U/lmQBD.Us09XkVTVkJcuFg1ZHq5GKUp1w89zwe', '4571547423', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '313201', 2, 7, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745225459_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 08:50:59', '2025-04-21 08:50:59'),
(34, 'keshav', 'keshavjaha25@gmail.comran', '$2y$12$taq5vOWPvQQz9mzN5lu6eei12CG3f.gWvjvcheLMDLNv8gNa1xo7m', '4571547424', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '153768', 2, 12, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745225850_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 08:57:30', '2025-04-21 08:57:30'),
(35, 'keshav', 'abchdn@gmail.comran', '$2y$12$7Qe93HlAfPcC5PAEMpDbU.DI6bwDC16xEffTw5ht5QIToowC6PmxG', '4584574857', '1EFED45Dfefds', NULL, 'keshav@mmm', 'jddsd', '910780', 2, 12, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'profiles/1745227298_social.png', NULL, NULL, NULL, NULL, NULL, '2025-04-21 09:21:38', '2025-04-21 09:21:38');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `additional_people`
--
ALTER TABLE `additional_people`
  ADD PRIMARY KEY (`id`),
  ADD KEY `additional_people_be_id_foreign` (`BE_Id`);

--
-- Indexes for table `book_events`
--
ALTER TABLE `book_events`
  ADD PRIMARY KEY (`BE_Id`),
  ADD KEY `book_events_e_id_foreign` (`E_Id`),
  ADD KEY `book_events_u_id_foreign` (`U_Id`);

--
-- Indexes for table `cache`
--
ALTER TABLE `cache`
  ADD PRIMARY KEY (`key`);

--
-- Indexes for table `cache_locks`
--
ALTER TABLE `cache_locks`
  ADD PRIMARY KEY (`key`);

--
-- Indexes for table `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`Cat_id`),
  ADD KEY `categories_u_id_foreign` (`U_ID`);

--
-- Indexes for table `celebration`
--
ALTER TABLE `celebration`
  ADD PRIMARY KEY (`N_Id`),
  ADD KEY `celebration_u_id_foreign` (`U_Id`);

--
-- Indexes for table `com_packages`
--
ALTER TABLE `com_packages`
  ADD PRIMARY KEY (`Com_P_Id`),
  ADD KEY `com_packages_u_id_foreign` (`U_Id`);

--
-- Indexes for table `condolences`
--
ALTER TABLE `condolences`
  ADD PRIMARY KEY (`N_Id`),
  ADD KEY `condolences_u_id_foreign` (`U_Id`);

--
-- Indexes for table `discount_masters`
--
ALTER TABLE `discount_masters`
  ADD PRIMARY KEY (`D_Id`),
  ADD KEY `discount_masters_dt_id_foreign` (`DT_Id`),
  ADD KEY `discount_masters_dvt_id_foreign` (`DVT_Id`);

--
-- Indexes for table `discount_types`
--
ALTER TABLE `discount_types`
  ADD PRIMARY KEY (`DT_Id`);

--
-- Indexes for table `dis_val_types`
--
ALTER TABLE `dis_val_types`
  ADD PRIMARY KEY (`DVT_Id`);

--
-- Indexes for table `donates`
--
ALTER TABLE `donates`
  ADD PRIMARY KEY (`Do_id`),
  ADD KEY `donates_u_id_foreign` (`U_ID`),
  ADD KEY `donates_d_id_foreign` (`D_id`);

--
-- Indexes for table `donations`
--
ALTER TABLE `donations`
  ADD PRIMARY KEY (`D_id`),
  ADD KEY `donations_u_id_foreign` (`U_ID`),
  ADD KEY `donations_cat_id_foreign` (`Cat_id`);

--
-- Indexes for table `duration_types`
--
ALTER TABLE `duration_types`
  ADD PRIMARY KEY (`DT_Id`);

--
-- Indexes for table `events`
--
ALTER TABLE `events`
  ADD PRIMARY KEY (`E_Id`),
  ADD KEY `events_u_id_foreign` (`U_Id`);

--
-- Indexes for table `failed_jobs`
--
ALTER TABLE `failed_jobs`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`);

--
-- Indexes for table `gallary`
--
ALTER TABLE `gallary`
  ADD PRIMARY KEY (`CE_Id`),
  ADD KEY `gallary_u_id_foreign` (`U_Id`);

--
-- Indexes for table `jobs`
--
ALTER TABLE `jobs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `jobs_u_id_foreign` (`U_Id`);

--
-- Indexes for table `job_applications`
--
ALTER TABLE `job_applications`
  ADD PRIMARY KEY (`id`),
  ADD KEY `job_applications_u_id_foreign` (`U_Id`),
  ADD KEY `job_applications_job_id_foreign` (`Job_Id`);

--
-- Indexes for table `job_batches`
--
ALTER TABLE `job_batches`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `logins`
--
ALTER TABLE `logins`
  ADD PRIMARY KEY (`id`),
  ADD KEY `logins_u_id_foreign` (`U_Id`);

--
-- Indexes for table `marketplaces`
--
ALTER TABLE `marketplaces`
  ADD PRIMARY KEY (`M_Id`),
  ADD KEY `marketplaces_u_id_foreign` (`U_Id`);

--
-- Indexes for table `migrations`
--
ALTER TABLE `migrations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `notices`
--
ALTER TABLE `notices`
  ADD PRIMARY KEY (`N_Id`),
  ADD KEY `notices_u_id_foreign` (`U_Id`);

--
-- Indexes for table `otp_log`
--
ALTER TABLE `otp_log`
  ADD PRIMARY KEY (`Veri_Seq`),
  ADD KEY `otp_log_u_id_foreign` (`U_Id`);

--
-- Indexes for table `package_discount`
--
ALTER TABLE `package_discount`
  ADD PRIMARY KEY (`id`),
  ADD KEY `package_discount_packageid_foreign` (`PackageId`),
  ADD KEY `package_discount_d_id_foreign` (`D_Id`);

--
-- Indexes for table `package_features`
--
ALTER TABLE `package_features`
  ADD PRIMARY KEY (`Package_Fea_Id`);

--
-- Indexes for table `package_feature_pivot`
--
ALTER TABLE `package_feature_pivot`
  ADD PRIMARY KEY (`id`),
  ADD KEY `package_feature_pivot_packageid_foreign` (`PackageId`),
  ADD KEY `package_feature_pivot_package_fea_id_foreign` (`Package_Fea_Id`);

--
-- Indexes for table `package_masters`
--
ALTER TABLE `package_masters`
  ADD PRIMARY KEY (`PackageId`),
  ADD KEY `package_masters_dt_id_foreign` (`DT_Id`),
  ADD KEY `package_masters_pvt_id_foreign` (`PVT_Id`);

--
-- Indexes for table `password_reset_tokens`
--
ALTER TABLE `password_reset_tokens`
  ADD PRIMARY KEY (`email`);

--
-- Indexes for table `personal_access_tokens`
--
ALTER TABLE `personal_access_tokens`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  ADD KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`);

--
-- Indexes for table `price_masters`
--
ALTER TABLE `price_masters`
  ADD PRIMARY KEY (`PT_Id`);

--
-- Indexes for table `price_type_values`
--
ALTER TABLE `price_type_values`
  ADD PRIMARY KEY (`PVT_Id`),
  ADD KEY `price_type_values_pt_id_foreign` (`PT_Id`);

--
-- Indexes for table `role_masters`
--
ALTER TABLE `role_masters`
  ADD PRIMARY KEY (`Role_Id`);

--
-- Indexes for table `schedule_demos`
--
ALTER TABLE `schedule_demos`
  ADD PRIMARY KEY (`sche_id`);

--
-- Indexes for table `sessions`
--
ALTER TABLE `sessions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sessions_user_id_index` (`user_id`),
  ADD KEY `sessions_last_activity_index` (`last_activity`);

--
-- Indexes for table `tags`
--
ALTER TABLE `tags`
  ADD PRIMARY KEY (`Tag_Id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `users_email_unique` (`email`);

--
-- Indexes for table `user_masters`
--
ALTER TABLE `user_masters`
  ADD PRIMARY KEY (`U_Id`),
  ADD UNIQUE KEY `user_masters_u_email_unique` (`U_Email`),
  ADD KEY `user_masters_role_id_foreign` (`Role_Id`),
  ADD KEY `user_masters_packageid_foreign` (`PackageId`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `additional_people`
--
ALTER TABLE `additional_people`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `book_events`
--
ALTER TABLE `book_events`
  MODIFY `BE_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `categories`
--
ALTER TABLE `categories`
  MODIFY `Cat_id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `celebration`
--
ALTER TABLE `celebration`
  MODIFY `N_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `com_packages`
--
ALTER TABLE `com_packages`
  MODIFY `Com_P_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `condolences`
--
ALTER TABLE `condolences`
  MODIFY `N_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `discount_masters`
--
ALTER TABLE `discount_masters`
  MODIFY `D_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `discount_types`
--
ALTER TABLE `discount_types`
  MODIFY `DT_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `dis_val_types`
--
ALTER TABLE `dis_val_types`
  MODIFY `DVT_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `donates`
--
ALTER TABLE `donates`
  MODIFY `Do_id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `donations`
--
ALTER TABLE `donations`
  MODIFY `D_id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `duration_types`
--
ALTER TABLE `duration_types`
  MODIFY `DT_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `events`
--
ALTER TABLE `events`
  MODIFY `E_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `failed_jobs`
--
ALTER TABLE `failed_jobs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `gallary`
--
ALTER TABLE `gallary`
  MODIFY `CE_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `jobs`
--
ALTER TABLE `jobs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `job_applications`
--
ALTER TABLE `job_applications`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `logins`
--
ALTER TABLE `logins`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=62;

--
-- AUTO_INCREMENT for table `marketplaces`
--
ALTER TABLE `marketplaces`
  MODIFY `M_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `migrations`
--
ALTER TABLE `migrations`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=76;

--
-- AUTO_INCREMENT for table `notices`
--
ALTER TABLE `notices`
  MODIFY `N_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `otp_log`
--
ALTER TABLE `otp_log`
  MODIFY `Veri_Seq` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `package_discount`
--
ALTER TABLE `package_discount`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `package_features`
--
ALTER TABLE `package_features`
  MODIFY `Package_Fea_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `package_feature_pivot`
--
ALTER TABLE `package_feature_pivot`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=21;

--
-- AUTO_INCREMENT for table `package_masters`
--
ALTER TABLE `package_masters`
  MODIFY `PackageId` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `personal_access_tokens`
--
ALTER TABLE `personal_access_tokens`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `price_masters`
--
ALTER TABLE `price_masters`
  MODIFY `PT_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `price_type_values`
--
ALTER TABLE `price_type_values`
  MODIFY `PVT_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `role_masters`
--
ALTER TABLE `role_masters`
  MODIFY `Role_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `schedule_demos`
--
ALTER TABLE `schedule_demos`
  MODIFY `sche_id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=30;

--
-- AUTO_INCREMENT for table `tags`
--
ALTER TABLE `tags`
  MODIFY `Tag_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `user_masters`
--
ALTER TABLE `user_masters`
  MODIFY `U_Id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=36;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `additional_people`
--
ALTER TABLE `additional_people`
  ADD CONSTRAINT `additional_people_be_id_foreign` FOREIGN KEY (`BE_Id`) REFERENCES `book_events` (`BE_Id`) ON DELETE CASCADE;

--
-- Constraints for table `book_events`
--
ALTER TABLE `book_events`
  ADD CONSTRAINT `book_events_e_id_foreign` FOREIGN KEY (`E_Id`) REFERENCES `events` (`E_Id`) ON DELETE CASCADE,
  ADD CONSTRAINT `book_events_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `categories`
--
ALTER TABLE `categories`
  ADD CONSTRAINT `categories_u_id_foreign` FOREIGN KEY (`U_ID`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `celebration`
--
ALTER TABLE `celebration`
  ADD CONSTRAINT `celebration_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `com_packages`
--
ALTER TABLE `com_packages`
  ADD CONSTRAINT `com_packages_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `condolences`
--
ALTER TABLE `condolences`
  ADD CONSTRAINT `condolences_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `discount_masters`
--
ALTER TABLE `discount_masters`
  ADD CONSTRAINT `discount_masters_dt_id_foreign` FOREIGN KEY (`DT_Id`) REFERENCES `discount_types` (`DT_Id`) ON DELETE CASCADE,
  ADD CONSTRAINT `discount_masters_dvt_id_foreign` FOREIGN KEY (`DVT_Id`) REFERENCES `dis_val_types` (`DVT_Id`) ON DELETE CASCADE;

--
-- Constraints for table `donates`
--
ALTER TABLE `donates`
  ADD CONSTRAINT `donates_d_id_foreign` FOREIGN KEY (`D_id`) REFERENCES `donations` (`D_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `donates_u_id_foreign` FOREIGN KEY (`U_ID`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `donations`
--
ALTER TABLE `donations`
  ADD CONSTRAINT `donations_cat_id_foreign` FOREIGN KEY (`Cat_id`) REFERENCES `categories` (`Cat_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `donations_u_id_foreign` FOREIGN KEY (`U_ID`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `events`
--
ALTER TABLE `events`
  ADD CONSTRAINT `events_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `gallary`
--
ALTER TABLE `gallary`
  ADD CONSTRAINT `gallary_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `jobs`
--
ALTER TABLE `jobs`
  ADD CONSTRAINT `jobs_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `job_applications`
--
ALTER TABLE `job_applications`
  ADD CONSTRAINT `job_applications_job_id_foreign` FOREIGN KEY (`Job_Id`) REFERENCES `jobs` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `job_applications_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `marketplaces`
--
ALTER TABLE `marketplaces`
  ADD CONSTRAINT `marketplaces_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `notices`
--
ALTER TABLE `notices`
  ADD CONSTRAINT `notices_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `otp_log`
--
ALTER TABLE `otp_log`
  ADD CONSTRAINT `otp_log_u_id_foreign` FOREIGN KEY (`U_Id`) REFERENCES `user_masters` (`U_Id`) ON DELETE CASCADE;

--
-- Constraints for table `package_discount`
--
ALTER TABLE `package_discount`
  ADD CONSTRAINT `package_discount_d_id_foreign` FOREIGN KEY (`D_Id`) REFERENCES `discount_masters` (`D_Id`) ON DELETE SET NULL,
  ADD CONSTRAINT `package_discount_packageid_foreign` FOREIGN KEY (`PackageId`) REFERENCES `package_masters` (`PackageId`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
