<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $primaryKey = 'Cat_id';

    protected $fillable = [
        'Cat_Name',
        'Cat_Des',
        'U_ID',
    ];

    public function user()
    {
        return $this->belongsTo(UserMaster::class, 'U_ID');
    }
}
